%define module_name atl1
%define module_version 1.0.41.0
%define module_release alt1
%define module_source %module_name-%module_version.tar.gz
%define module_source_dir %module_name-%module_version


#### MODULE SOURCES ####
Name: kernel-source-%module_name
Version: %module_version
Release: %module_release
Summary: Linux %module_name modules sources
License: GPL
Group: Development/Kernel
Url: http://support.attansic.com
BuildArch: noarch
Source0: %module_source
Source1: Kbuild.%module_name
Patch1: atl1-disable-TSO.patch

Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

Buildprereq: hd2u

%description
This package contains sources of the Linux driver for the Attansic(R) L1
Gigabit Ethernet Adapter

%prep
%setup -c
cd atl1
dos2unix src/*
%patch1 -p1
cp -a %SOURCE1 src/Kbuild
cd ../

%install
%__mkdir -p %buildroot%_usrsrc/kernel/sources/
%__mv %module_name kernel-source-%module_name-%module_version
%__tar -c kernel-source-%module_name-%module_version | bzip2 -c > \
    %buildroot%_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2

%files
%_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2

%changelog
* Sat Feb 24 2007 L.A. Kostis <lakostis@altlinux.ru> 1.0.41.0-alt1
- initial build for ALTLinux.
- patches and Kbuild suggested by Sergey Vlasov.
